- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#body.DhcpOptionsConfig.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/dhcpOptionsConfigs/get#try-it)

Returns the specified DhcpOptionsConfig resource in the given location.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/dhcpOptionsConfigs/{dhcpOptionsConfig}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region of this request. |
| `dhcpOptionsConfig` | `string` Name of the DhcpOptionsConfig resource to return. |

### Request body

The request body must be empty.

### Response body

A standalone, regional API resource that encapsulates a set of user-defined DHCP configurations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "region": string, "leaseTimeSec": string, "domainName": string, "dnsSearchPaths": [ string ], "ntpServerIpv4Addresses": [ string ], "ntpServerIpv6Addresses": [ string ], "tftpServerIpv4Name": string, "tftpServerIpv4Addresses": [ string ], "bootFileIpv4Name": string, "bootFileIpv6Url": string, "bootFileIpv6Parameters": [ string ], "associations": { string: { "network": string, "networkId": string, "state": enum }, ... } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#dhcpOptionsConfig` for dhcp options configs. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `region` | `string` Output only. URL of the region where the resource resides. |
| `leaseTimeSec` | `string (https://developers.google.com/discovery/v1/type-format format)` The duration, in seconds, of the IPv4 address lease offered by the DHCP server to the client VM guest OS. Corresponds to DHCPv4 Option 51. |
| `domainName` | `string` The domain name that the client VM guest OS should use when resolving hostnames via DNS (e.g., 'example.com'). It defines the default domain suffix for the client. Corresponds to DHCPv4 Option 15. |
| `dnsSearchPaths[]` | `string` An ordered list of domain suffixes (search paths) that the client VM guest OS should append to resolve hostnames that are not fully qualified. Applies to both DHCPv4 Option 119 and DHCPv6 Option 24. |
| `ntpServerIpv4Addresses[]` | `string` An ordered list of IPv4 addresses of Network Time Protocol (NTP) servers available to the client VM guest OS for system clock synchronization, listed in order of preference. Corresponds to DHCPv4 Option 42. |
| `ntpServerIpv6Addresses[]` | `string` An ordered list of IPv6 addresses of Network Time Protocol (NTP) servers available to the client VM guest OS for system clock synchronization. Corresponds to DHCPv6 Option 56. |
| `tftpServerIpv4Name` | `string` The hostname or IP address of the Trivial File Transfer Protocol (TFTP) server from which the client VM guest OS can download boot files. Typically used in network booting (PXE) when the standard DHCP header 'sname' field is overloaded. Corresponds to DHCPv4 Option 66. |
| `tftpServerIpv4Addresses[]` | `string` An ordered list of one or more IPv4 addresses of TFTP servers. Provides server redundancy and failover support, and is generally prioritized by clients over the single hostname specified in Option 66. Corresponds to DHCPv4 Option 150. |
| `bootFileIpv4Name` | `string` The file path and name of the boot image/file on the TFTP server that the client VM guest OS should download and execute during network boot. Used when the standard DHCP header 'file' field is overloaded. Corresponds to DHCPv4 Option 67. |
| `bootFileIpv6Url` | `string` The Uniform Resource Locator (URL) specifying the protocol, server address, and file path of the boot file that the client VM guest OS should download and execute for network boot (e.g., 'tftp://\[2001:db8::1\]/bootx64.efi' or 'http://\[2001:db8::1\]/boot.img'). Corresponds to DHCPv6 Option 59. |
| `bootFileIpv6Parameters[]` | `string` A list of UTF-8 encoded parameter strings to be passed as arguments to the bootloader program or OS kernel after downloading the boot file. Corresponds to DHCPv6 Option 60. |
| `associations[]` | `map (key: string, value: object)` Mapping of user-defined keys to DhcpOptionsConfig to Network associations. |
| `associations[].network` | `string` Required. The target network this DHCP option is attached to. You can specify this as a full or partial URL. For example, the following are all valid URLs: - `https://www.googleapis.com/compute/v1/projects/project/global/networks/network` - `projects/project/global/networks/network` <br /> |
| `associations[].networkId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The server-defined ID of the associated Network. |
| `associations[].state` | `enum` Output only. State of the association. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/compute.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.dhcpOptionsConfigs.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).